javax.faces.webapp

## Class ValidatorELTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.faces.webapp.ValidatorELTag

- All Implemented Interfaces:
    Serializable, IterationTag, JspTag, Tag

      public abstract class ValidatorELTag
      extends TagSupport

  ValidatorELTag is a base class for all JSP custom actions that create and register a `Validator` instance on the `EditableValueHolder` associated with our most immediate surrounding instance of a tag whose implementation class is a subclass of `UIComponentTag`. To avoid creating duplicate instances when a page is redisplayed, creation and registration of a `Validator` occurs only if the corresponding `UIComponent` was created (by the owning `UIComponentTagBase`) during the execution of the current page.

  This class must be used as a base class for tag instances that support specific `Validator` subclasses.

  Subclasses of this class must implement the `createValidator()` method, which creates and returns a `Validator` instance. Any configuration properties that specify the limits to be enforced by this `Validator` must have been set by the `createValidator()` method. Generally, this occurs by copying corresponding attribute values on the tag instance.

  This tag creates no output to the page currently being created. It is used solely for the side effect of `Validator` creation.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorELTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Validator` | `createValidator()` Create and return a new `Validator` to be registered on our surrounding `UIComponent`.
    `int` | `doStartTag()` Create a new instance of the specified `Validator` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTagBase` instance, if the `UIComponent` instance was created by this execution of the containing JSP page.

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorELTag

          public ValidatorELTag()

  - ### Method Detail

    - #### doStartTag

          public int doStartTag()
                         throws JspException

      Create a new instance of the specified `Validator` class, and register it with the `UIComponent` instance associated with our most immediately surrounding `UIComponentTagBase` instance, if the `UIComponent` instance was created by this execution of the containing JSP page.

      Specified by:
        `doStartTag` in interface `Tag`
      Overrides:
        `doStartTag` in class `TagSupport`
      Returns:
        SKIP_BODY
      Throws:
        `JspException` - if a JSP error occurs
      See Also:
        `Tag.doStartTag()`

    - #### createValidator

          protected abstract Validator createValidator()
                                                throws JspException

      Create and return a new `Validator` to be registered on our surrounding `UIComponent`.

      Throws:
        `JspException` - if a new instance cannot be created

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.